Summary:	Non-default Compiz compositing manager plugins
Name:		compiz-plugins-main
Version:	0.8.18
Release:	%mkrel 1
License:	GPLv2+
Group:		System/X11
URL:		https://github.com/compiz-reloaded/compiz-plugins-main/
Source0:	https://github.com/compiz-reloaded/compiz-plugins-main/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  compiz-devel >= 1:0.8.18
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(bcop)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(pango)
Requires:	compiz >= 1:0.8.18

%description
Non-default Compiz compositing manager plugins.

%files -f %{name}.lang
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/Default/*.png
%{_datadir}/compiz/filters/*
%{_datadir}/compiz/icons/hicolor/scalable/apps/*.svg

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for Compiz Main Plugin Set for compiz
Group:		Development/X11
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Compiz Main Plugin Set for compiz

%files devel
%{_includedir}/compiz/*
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q

# make autoreconf more happy
mkdir -p m4

%build
autoreconf -vfi -Im4
intltoolize --copy --force --automake
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}


%changelog
* Sat Apr 18 2020 wally <wally> 0.8.18-1.mga8
+ Revision: 1568949
- new version 0.8.18

* Fri Feb 14 2020 umeabot <umeabot> 0.8.16-2.mga8
+ Revision: 1520838
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 09 2018 wally <wally> 0.8.16-1.mga7
+ Revision: 1339342
- new version 0.8.16 (from compiz-reloaded project)
+ fwang <fwang>
- rebuild for new boost
+ julien <julien>
- Merged with compiz

* Wed May 30 2012 fwang <fwang> 0.9.7.2-2.mga3
+ Revision: 249702
- rebuild for new boost

* Thu Apr 26 2012 julien <julien> 0.9.7.2-1.mga2
+ Revision: 233366
- new version 0.9.7.2
- drop patch3, merged upstream

* Sun Mar 25 2012 fwang <fwang> 0.9.7.0-3.mga2
+ Revision: 226172
- rebuild for new compiz
+ julien <julien>
- rebuild for new compiz
- add upstream patch3 to fix build failure with compiz 0.9.7.2

* Sat Mar 03 2012 julien <julien> 0.9.7.0-1.mga2
+ Revision: 217400
- update to 0.9.7.0

* Thu Feb 23 2012 julien <julien> 0.9.7-0.bzr19.mga2
+ Revision: 212689
- update to latest bzr
- add an obsolete for old compiz plugins unsupported
- more meaningful description/summary

* Sun Feb 05 2012 julien <julien> 0.9.7-0.bzr16.mga2
+ Revision: 204846
- update to prerelease 0.9.7
- switch to launchpad as source
- add a rename for devel package as well

* Mon Jan 23 2012 mikala <mikala> 0.9.5.92-6.mga2
+ Revision: 199948
- Rebuild with the correct compiz version

* Sun Jan 22 2012 julien <julien> 0.9.5.92-5.mga2
+ Revision: 199864
- rebuild for new compiz

* Wed Nov 30 2011 julien <julien> 0.9.5.92-4.mga2
+ Revision: 174420
- rebuild for new compiz

* Sun Nov 27 2011 julien <julien> 0.9.5.92-3.mga2
+ Revision: 172887
- rename compiz-fusion-plugins-main to compiz-plugins-main
- rename to be in line with upstream

* Mon Nov 07 2011 mikala <mikala> 0.9.5.92-2.mga2
+ Revision: 164615
- Add compiz-fusion-plugins-main as requires on -devel
- switch some BR to pkconfig()
- remove %%defattr()
- remove compiz-bcop as BR (compiz is now providing it)

* Sun Nov 06 2011 julien <julien> 0.9.5.92-1.mga2
+ Revision: 164380
- add BR on boost
- clean some warnings
- add a buildrequires on cmake
- update to version 0.9.5.92
- rediff patch 1 & 2

* Sat Jun 25 2011 julien <julien> 0.8.8-1.mga2
+ Revision: 113659
- update to version 0.8.8
 - cleanup specfile
 - move static libs to devel package

* Mon Feb 28 2011 eandry <eandry> 0.8.6-3.mga1
+ Revision: 61805
- clean spec
- fix url
- imported package compiz-fusion-plugins-main

